\begin{tabular}{c | c}
Sets of next states & Initial conditions \\
\hline
\SInirow{1}{2;$a$}
\SInirow{2}{3;TRUE}
\SInirow{3}[1;$\lnot a$]{4;$a$}
\SInirow{4}{5;TRUE}
\SInirow{5}[1;$\lnot a$]{6;$a$}
\SInirow{6}[1;$\lnot a$]{7;$a$}
\SInirow{7}{8;TRUE}
\SInirow{8}{1;TRUE}
\end{tabular}